Package ru.bitel.bgbilling.kernel.contract.api.server.bean.tariff

# Class PersonalTariffManager

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.server.bean.tariff.PersonalTariffManager

public class PersonalTariffManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersonalTariffManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deletePersonalTariff(int id)`
  Удаляет персональный тариф по его коду
  `Set<Integer>`
  `getParentTreeTariffIds(int contractId, Date date)`
  `PersonalTariff`
  `getPersonalTariff(int id)`
  Возвращает персональный тариф по его коду
  `List<PersonalTariff>`
  `getPersonalTariffList(int contractId)`
  Возвращает список персональный тарифов для данного договора
  `List<PersonalTariff>`
  `getPersonalTariffList(int contractId, Date time)`
  Возвращает список персональный тарифов для данного договора на определенную дату
  `List<PersonalTariff>`
  `getPersonalTariffList(int contractId, Date date1, Date date2)`
  Возвращает список персональный тарифов для данного договора на определенный период
  `void`
  `updatePersonalTariff(PersonalTariff tariff)`
  Обновляет персональный тариф

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PersonalTariffManager

    public PersonalTariffManager(Connection con)

- ## Method Details

  - ### getPersonalTariffList

    public List<PersonalTariff> getPersonalTariffList(int contractId) throws Exception
    Возвращает список персональный тарифов для данного договора
    Parameters:
      `contractId` - код договора
    Returns:
    Throws:
      `Exception`

  - ### getPersonalTariffList

    public List<PersonalTariff> getPersonalTariffList(int contractId, Date time) throws Exception
    Возвращает список персональный тарифов для данного договора на определенную дату
    Parameters:
      `contractId` - код договора
      `time` - дата
    Returns:
    Throws:
      `Exception`

  - ### getPersonalTariffList

    public List<PersonalTariff> getPersonalTariffList(int contractId, Date date1, Date date2) throws Exception
    Возвращает список персональный тарифов для данного договора на определенный период
    Parameters:
      `contractId` - код договора
      `date1` - начало периода
      `date2` - конец периода
    Returns:
    Throws:
      `Exception`

  - ### updatePersonalTariff

    public void updatePersonalTariff(PersonalTariff tariff) throws Exception
    Обновляет персональный тариф
    Parameters:
      `tariff` - тариф
    Throws:
      `Exception`

  - ### deletePersonalTariff

    public void deletePersonalTariff(int id) throws Exception
    Удаляет персональный тариф по его коду
    Parameters:
      `id` - код тарифа
    Throws:
      `Exception`

  - ### getPersonalTariff

    public PersonalTariff getPersonalTariff(int id) throws Exception
    Возвращает персональный тариф по его коду
    Parameters:
      `id` - код тарифа
    Returns:
    Throws:
      `Exception`

  - ### getParentTreeTariffIds

    public Set<Integer> getParentTreeTariffIds(int contractId, Date date) throws Exception
    Throws:
      `Exception`